/**************************************************************

            ==================================
            Star Wars - The POV-Ray Collection
            ==================================

CCRV.INC - 3D model description file for use with the
Persistence of Vision Ray-Tracer, v3.0 or higher

POV-Ray code copyright (c) 1998 Howard E. Day

This model is provided for personal use only. Any use of this
model for commercial gain or profit is strictly forbidden -
please see the accompanying README.TXT and Conditions of Use
before using or distributing this model.

'Star Wars' and all associated images, designs and trademarks,
(including the designs of the vehicles and objects depicted in
the Star Wars POV-Ray Collection, except where otherwise
stated) are copyright (c) 1997 Lucasfilm Ltd.

**************************************************************/


#declare CCRV_Tex1 =
texture {
pigment {
image_map{
gif "ccrvtex1.gif"
interpolate 2
}
}
finish {
ambient 0.1
diffuse 1
metallic
}
scale <28,96,1>
rotate <90,0,0>
translate <-14,0,-56>
}
texture {
pigment { bozo
color_map {
[0 color rgbt <.25,.25,.25,.5>]
[.5 color rgbt <.25,.25,.25,1>]
[1 color rgbt <.25,.25,.25,1>]
}
}
scale 5
}
#declare CCRV_Tex2 =
texture {
pigment {
image_map{
gif "ccrvtex3.gif"
interpolate 2
}
}
finish {
ambient 0.1
diffuse 1
metallic
}
scale <28,96,1>
rotate <90,0,0>
translate <-14,0,-56>
}
texture {
pigment { bozo
color_map {
[0 color rgbt <.25,.25,.25,.5>]
[.5 color rgbt <.25,.25,.25,1>]
[1 color rgbt <.25,.25,.25,1>]
}
}
scale 5
}
#declare CCRV_Tex3 =
texture {
  pigment
  {
color rgb <.35,.35,.34>*1.5
  }
  finish {
    ambient 0.1
    diffuse 1
    phong .25
  }
}
texture {
pigment { bozo
color_map {
[0 color rgbt <.25,.25,.25,.5>]
[.5 color rgbt <.25,.25,.25,1>]
[1 color rgbt <.25,.25,.25,1>]
}
}
scale 5
}
#declare CCRV_Tex4 =
texture {
  pigment
  {
color rgb <.5,.13,.1>
  }
finish {
ambient 0.1
diffuse 1
metallic
}
}
texture {
pigment { bozo
color_map {
[0 color rgbt <.25,.25,.25,.5>]
[.5 color rgbt <.25,.25,.25,1>]
[1 color rgbt <.25,.25,.25,1>]
}
}
scale 5
}
#declare CCRV_Tex5 =
texture {
  pigment
  {
color rgb .65
  }
finish {
ambient 0.1
diffuse 1
metallic
}
}
texture {
pigment { bozo
color_map {
[0 color rgbt <.25,.25,.25,.5>]
[.5 color rgbt <.25,.25,.25,1>]
[1 color rgbt <.25,.25,.25,1>]
}
}
scale 5
}
#declare CCRV_Tex6 =
texture {
pigment {
image_map{
gif "ccrvtex4.gif"
interpolate 2
}
}
finish {
ambient 0.1
diffuse 1
metallic
}
scale <28,96,1>
rotate <90,0,0>
translate <-14,0,-56>
}
texture {
pigment { bozo
color_map {
[0 color rgbt <.25,.25,.25,.5>]
[.5 color rgbt <.25,.25,.25,1>]
[1 color rgbt <.25,.25,.25,1>]
}
}
scale 5
}
#declare CCRV_Engine1 =
// Object type: World
// Name: Root
object
{
   union
   {
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 20, 20, 52 >
               translate < -10, 0, -52 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 33.829 >
               rotate < 159.73, 0, 0 >
               translate < 0, 11, -27 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 90, -45, 0 >
               translate < 8, -9.9281e-23, -50 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 18, 20, 48.949 >
               rotate < -20.058, 0, 0 >
               translate < -9, 1.5, -49.5 >
            }
         }
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Union
            // Name: 'or'
            object
            {
               merge
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 24, 18, 36 >
                     translate < -12, 1, 0 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 9, 24, 9 >
                     rotate < 90, 90, 0 >
                     translate < -12, 10, 2.9825e-22 >
                  }
               }
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 19, 23, 39 >
               translate < -9.5, -1, 6 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 4 >
               translate < -11.5, -0.5, 31.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 6 >
               translate < -11.5, -0.5, 23.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 6 >
               translate < -11.5, -0.5, 15.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 6 >
               translate < -11.5, -0.5, 7.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 4 >
               translate < 10, -0.5, 31.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 6 >
               translate < 10, -0.5, 23.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 6 >
               translate < 10, -0.5, 15.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 6 >
               translate < 10, -0.5, 7.5 >
            }
         }
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 9*1.25, 41, 9*1.25 >
         rotate < 90, 0, 0 >
         translate < 0, 10, 3 >
      }
      difference {
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }
pigment {gradient y color_map{[0 rgb <.5,.5,.45>*1.5][1 rgb .125]}}
         scale < 8.75*1.25, 8.5, 8.75*1.25 >
         rotate < 90, 0, 0 >
         translate < 0, 10, 44 >

      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 8.5*1.25, 9.5, 8.5*1.25 >
         rotate < 90, 0, 0 >
         translate < 0, 10, 43.5 >
pigment {rgb .125}
      }
      }
      // Object type: Sphere
      // Name: NoName
      object
      {
         sphere { < 0, 0, 0 >, 1 }

         scale < 2, 7, 7 >
         translate < 12, 10, 0 >
      }
      // Object type: Sphere
      // Name: NoName
      object
      {
         sphere { < 0, 0, 0 >, 1 }

         scale < 2, 7, 7 >
         translate < -12, 10, 0 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 26, 14, 3 >
         translate < -13, 3, 8 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 26, 3, 6 >
         translate < -13, 12.5, 12 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 26, 2.5, 6 >
         translate < -13, 5, 12 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 26, 3, 6 >
         translate < -13, 8.5, 12 >
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 16, 6.5, 20 >
               translate < -10, -6.5, -52 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 0, 0, 21.94 >
               translate < 2, -2, -43.5 >
            }
         }
      }
      #declare Count =0
      #while (Count < 360)
      // Object type: Cylinder
      // Name: 360
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }
pigment {gradient y color_map{[0 rgb <.5,.5,.45>*1.5][1 rgb .125]}}
         scale < 0.25, 8.5, 0.25 >
         rotate < 90, 0, 0 >
         translate < 0, 8.75*1.25, 44 >
         rotate Count*z
         translate 10*y
      }
      #declare Count =Count+15
      #end
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 4, 7.75 >
         translate < -10.75, 1.25, -37.75 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 4.25, 7.75 >
         translate < -10.75, 1.25, -22 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 1.75, 9 >
         translate < -10.75, 0.5, -12.75 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 1.25, 6 >
         translate < -10.75, 6.75, -29.25 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 1.75, 6.5 >
         translate < -10.75, 2.5, -29.25 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 1, 12 >
         translate < -10.75, 6.5, -21.5 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 0.75, 1 >
         translate < -10.75, 8.75, -15 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 5.25, 0.85008, 20 >
         rotate < -20.405, 0, 0 >
         translate < -6.5, 4.25, -41.75 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 5.25, 0.85008, 20 >
         rotate < -20.405, 0, 0 >
         translate < 1.25, 4.25, -41.75 >
      }
      // Object type: Torus
      // Name: NoName
      object
      {
         torus { 30, 5 }

         scale < 0.2, 0.2, 0.2 >
         rotate < -19.082, 0, 0 >
         translate < 0, 14.75, -12.75 >
      }
      #declare Count = 0
      #while (Count < 360)
      // Object type: Sphere
      // Name: NoName
      object
      {
         sphere { < 0, 0, 0 >, 1 }

         scale < .5, .5, .5 >
         translate < 0, 1, 6 >
         rotate <0,Count,0>
         rotate < -19.082, 0, 0 >
         translate < 0, 14.75, -12.75 >
      }
      #declare Count = Count + 30
      #end
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 4, 19, 2 >
         translate < -7, 0.5, 0.5 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 4, 19, 2 >
         translate < -2, 0.5, 0.5 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 4, 19, 2 >
         translate < 3, 0.5, 0.5 >
      }
      // Object type: Cylinder
      // Name: 360
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.25, 18.5, 0.25 >
         rotate < 90, 0, 0 >
         translate < 0, 19.5*1.125, 2.5 >
pigment {rgb 2}
      }
      // Object type: Cylinder
      // Name: 360
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.25, 10.818, 0.25 >
         rotate < 107.14, 70.899, 7.5403e-06 >
         translate < 0, 19.5*1.125, 5.5 >
pigment {rgb 2}
      }
      // Object type: Cylinder
      // Name: 360
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.25, 8.5, 0.25 >
         rotate < 98.873, 30.248, 1.4788e-06 >
         translate < 0, 19.5*1.125, 7 >
pigment {rgb 2}
      }
      // Object type: Cylinder
      // Name: 360
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.25, 8.5, 0.25 >
         rotate < 98.873, -30.248, 0 >
         translate < 0, 19.5*1.125, 7 >
pigment {rgb 2}
      }
      // Object type: Cylinder
      // Name: 360
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.25, 10.818, 0.25 >
         rotate < 107.14, -70.899, 0 >
         translate < 0, 19.5*1.125, 5.5 >
pigment {rgb 2}
      }

}
texture {CCRV_Tex1}
}

#declare CCRV_Engine2 =
// Object type: World
// Name: Root
object
{
   union
   {
        // Object type: Difference
            // Name: 'and not'
            object
            {
               difference
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 20, 20, 52 >
                     translate < -10, 0, -52 >
                  }
                  // Object type: Disc
                  // Name: NoName
                  object
                  {
                     disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

                     scale < 20, 1, 33.829 >
                     rotate < 165, 0, 0 >
                     translate < 0, 13.75, -25.75 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 18, 20, 48.949 >
                     rotate < -15, 0, 0 >
                     translate < -9, 6.25, -49 >
                  }
               }
            }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Union
            // Name: 'or'
            object
            {
               merge
               {
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 24, 18, 36 >
                     translate < -12, 1, 0 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 9, 24, 9 >
                     rotate < 90, 90, 0 >
                     translate < -12, 10, 2.9825e-22 >
                  }
               }
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 19, 23, 39 >
               translate < -9.5, -1, 6 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 4 >
               translate < -11.5, -0.5, 31.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 6 >
               translate < -11.5, -0.5, 23.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 6 >
               translate < -11.5, -0.5, 15.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 6 >
               translate < -11.5, -0.5, 7.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 4 >
               translate < 10, -0.5, 31.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 6 >
               translate < 10, -0.5, 23.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 6 >
               translate < 10, -0.5, 15.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 1.5, 21, 6 >
               translate < 10, -0.5, 7.5 >
            }
         }
      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 9*1.25, 41, 9*1.25 >
         rotate < 90, 0, 0 >
         translate < 0, 10, 3 >
      }
      difference {
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }
pigment {gradient y color_map{[0 rgb <.5,.5,.45>*1.5][1 rgb .125]}}
         scale < 8.75*1.25, 8.5, 8.75*1.25 >
         rotate < 90, 0, 0 >
         translate < 0, 10, 44 >

      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 8.5*1.25, 9.5, 8.5*1.25 >
         rotate < 90, 0, 0 >
         translate < 0, 10, 43.5 >
pigment {rgb .125}
      }


      }
      // Object type: Sphere
      // Name: NoName
      object
      {
         sphere { < 0, 0, 0 >, 1 }

         scale < 2, 7, 7 >
         translate < 12, 10, 0 >
      }
      // Object type: Sphere
      // Name: NoName
      object
      {
         sphere { < 0, 0, 0 >, 1 }

         scale < 2, 7, 7 >
         translate < -12, 10, 0 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 26, 14, 3 >
         translate < -13, 3, 8 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 26, 3, 6 >
         translate < -13, 12.5, 12 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 26, 2.5, 6 >
         translate < -13, 5, 12 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 26, 3, 6 >
         translate < -13, 8.5, 12 >
      }
      // Object type: Difference
      // Name: 'and not'
      object
      {
         difference
         {
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 16, 6.5, 20 >
               translate < -10, -6.5, -52 >
            }
            // Object type: Disc
            // Name: NoName
            object
            {
               disc { < 0, 0, 0 >, < 0, 1, 0 >, 1, 0 }

               scale < 20, 1, 20 >
               rotate < 0, 0, 21.94 >
               translate < 2, -2, -43.5 >
            }
         }
      }
      #declare Count =0
      #while (Count < 360)
      // Object type: Cylinder
      // Name: 360
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }
pigment {gradient y color_map{[0 rgb <.5,.5,.45>*1.5][1 rgb .125]}}
         scale < 0.25, 8.5, 0.25 >
         rotate < 90, 0, 0 >
         translate < 0, 8.75*1.25, 44 >
         rotate Count*z
         translate 10*y
      }
      #declare Count =Count+15
      #end
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 4, 7.75 >
         translate < -10.75, 1.25, -37.75 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 4.25, 7.75 >
         translate < -10.75, 1.25, -22 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 1.75, 9 >
         translate < -10.75, 0.5, -12.75 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 1.25, 6 >
         translate < -10.75, 6.75, -29.25 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 1.75, 6.5 >
         translate < -10.75, 2.5, -29.25 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 1, 12 >
         translate < -10.75, 6.5, -21.5 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 21.5, 0.75, 1 >
         translate < -10.75, 8.75, -15 >
      }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 5.25, 0.85, 20 >
               rotate < -15, 0, 0 >
               translate < -6.5, 8, -42.5 >
            }
            // Object type: Box
            // Name: NoName
            object
            {
               box { < 0, 0, 0 >, < 1, 1, 1 > }

               scale < 5.25, 0.85, 20 >
               rotate < -15, 0, 0 >
               translate < 1.25, 8, -42.5 >
            }
            // Object type: Torus
            // Name: NoName
            object
            {
               torus { 30, 5 }

               scale < 0.2, 0.2, 0.2 >
               rotate < -15, 0, 0 >
               translate < 0, 16, -12.75 >
            }
            #declare Count = 0
      #while (Count < 360)
      // Object type: Sphere
      // Name: NoName
      object
      {
         sphere { < 0, 0, 0 >, 1 }

         scale < .5, .5, .5 >
         translate < 0, 1, 6 >
         rotate <0,Count,0>
         rotate < -15, 0, 0 >
         translate < 0, 16, -12.75 >
      }
      #declare Count = Count + 30
      #end
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 4, 19, 2 >
         translate < -7, 0.5, 0.5 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 4, 19, 2 >
         translate < -2, 0.5, 0.5 >
      }
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 4, 19, 2 >
         translate < 3, 0.5, 0.5 >
      }
      // Object type: Cylinder
      // Name: 360
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.25, 18.5, 0.25 >
         rotate < 90, 0, 0 >
         translate < 0, 19.5*1.125, 2.5 >
pigment {rgb 2}
      }
      // Object type: Cylinder
      // Name: 360
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.25, 10.818, 0.25 >
         rotate < 107.14, 70.899, 7.5403e-06 >
         translate < 0, 19.5*1.125, 5.5 >
pigment {rgb 2}
      }
      // Object type: Cylinder
      // Name: 360
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.25, 8.5, 0.25 >
         rotate < 98.873, 30.248, 1.4788e-06 >
         translate < 0, 19.5*1.125, 7 >
pigment {rgb 2}
      }
      // Object type: Cylinder
      // Name: 360
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.25, 8.5, 0.25 >
         rotate < 98.873, -30.248, 0 >
         translate < 0, 19.5*1.125, 7 >
pigment {rgb 2}
      }
      // Object type: Cylinder
      // Name: 360
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 0.25, 10.818, 0.25 >
         rotate < 107.14, -70.899, 0 >
         translate < 0, 19.5*1.125, 5.5 >
pigment {rgb 2}
      }

   }
texture {CCRV_Tex2}
}


#declare CCRV_Engine3 =
// Object type: World
// Name: Root
object
{
   union
   {
      // Object type: Composite
      // Name: group #1
      object
      {
         union
         {
            // Object type: Composite
            // Name: group #1
            object
            {
               union
               {
                  // Object type: Difference
                  // Name: 'and not'
                  object
                  {
                     difference
                     {
                        // Object type: Union
                        // Name: 'or'
                        object
                        {
                           merge
                           {
                              // Object type: Box
                              // Name: NoName
                              object
                              {
                                 box { < 0, 0, 0 >, < 1, 1, 1 > }

                                 scale < 24, 18, 36 >
                                 translate < -12, -9, 0 >
                              }
                              // Object type: Cylinder
                              // Name: NoName
                              object
                              {
                                 cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                                 scale < 9, 24, 9 >
                                 rotate < 90, 90, 0 >
                                 translate < -12, -7.1054e-15, 2.9825e-22 >
                              }
                           }
                        }
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 19, 23, 39 >
                           translate < -9.5, -11, 6 >
                        }
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 1.5, 21, 4 >
                           translate < -11.5, -10.5, 31.5 >
                        }
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 1.5, 21, 6 >
                           translate < -11.5, -10.5, 23.5 >
                        }
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 1.5, 21, 6 >
                           translate < -11.5, -10.5, 15.5 >
                        }
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 1.5, 21, 6 >
                           translate < -11.5, -10.5, 7.5 >
                        }
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 1.5, 21, 4 >
                           translate < 10, -10.5, 31.5 >
                        }
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 1.5, 21, 6 >
                           translate < 10, -10.5, 23.5 >
                        }
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 1.5, 21, 6 >
                           translate < 10, -10.5, 15.5 >
                        }
                        // Object type: Box
                        // Name: NoName
                        object
                        {
                           box { < 0, 0, 0 >, < 1, 1, 1 > }

                           scale < 1.5, 21, 6 >
                           translate < 10, -10.5, 7.5 >
                        }
                     }
                  }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 9*1.25, 41, 9*1.25 >
         rotate < 90, 0, 0 >
         translate < 0, 0, 3 >
      }
      difference {
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }
pigment {gradient y color_map{[0 rgb <.5,.5,.45>*1.5][1 rgb .125]}}
         scale < 8.75*1.25, 8.5, 8.75*1.25 >
         rotate < 90, 0, 0 >
         translate < 0, 0, 44 >

      }
      // Object type: Cylinder
      // Name: NoName
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

         scale < 8.5*1.25, 9.5, 8.5*1.25 >
         rotate < 90, 0, 0 >
         translate < 0, 0, 43.5 >
pigment {rgb .125}
      }
      }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 2, 7, 7 >
                     translate < 12, 1.7764e-15, 0 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 2, 7, 7 >
                     translate < -12, 0, 0 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 26, 14, 3 >
                     translate < -13, -7, 8 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 26, 3, 6 >
                     translate < -13, 2.5, 12 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 26, 2.5, 6 >
                     translate < -13, -5, 12 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 26, 3, 6 >
                     translate < -13, -1.5, 12 >
                  }
                  #declare Count =0
      #while (Count < 360)
      // Object type: Cylinder
      // Name: 360
      object
      {
         cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }
pigment {gradient y color_map{[0 rgb <.5,.5,.45>*1.5][1 rgb .125]}}
         scale < 0.25, 8.5, 0.25 >
         rotate < 90, 0, 0 >
         translate < 0, 8.75*1.25, 44 >
         rotate Count*z
      }
      #declare Count =Count+15
      #end
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 21.5, 4, 7.75 >
                     translate < -10.75, -8.75, -37.75 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 21.5, 4.25, 7.75 >
                     translate < -10.75, -8.75, -22 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 21.5, 1.75, 9 >
                     translate < -10.75, -9.5, -12.75 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 21.5, 1.25, 6 >
                     translate < -10.75, -3.25, -29.25 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 21.5, 1.75, 6.5 >
                     translate < -10.75, -7.5, -29.25 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 21.5, 1, 12 >
                     translate < -10.75, -3.5, -21.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 21.5, 0.75, 1 >
                     translate < -10.75, -1.25, -15 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4, 19, 2 >
                     translate < -7, -9.5, 0.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4, 19, 2 >
                     translate < -2, -9.5, 0.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 4, 19, 2 >
                     translate < 3, -9.5, 0.5 >
                  }
                  // Object type: Box
                  // Name: NoName
                  object
                  {
                     box { < 0, 0, 0 >, < 1, 1, 1 > }

                     scale < 20, 20, 52 >
                     translate < -10, -10, -52 >
                  }
               }
            }
            // Object type: Composite
            // Name: group #1
            object
            {
               union
               {
                  // Object type: Cone
                  // Name: NoName
                  object
                  {
                     cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0.5  }

                     scale < 2, 3.75, 2 >
                     rotate < -90, 0, 0 >
                     translate < 12, 2, -29.562 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 2, 2, 0.625 >
                     translate < 12, 2, -50.813 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 2, 17.5, 2 >
                     rotate < 90, 0, 0 >
                     translate < 12, 2, -50.812 >
                  }
pigment {rgb 1}
               }
            }
            // Object type: Composite
            // Name: group #1
            object
            {
               union
               {
                  // Object type: Cone
                  // Name: NoName
                  object
                  {
                     cone { < 0, 0, 0 >, 1, < 0, 1, 0 >, 0.5  }

                     scale < 2, 3.75, 2 >
                     rotate < -90, 0, 0 >
                     translate < 12, -2, -29.562 >
                  }
                  // Object type: Sphere
                  // Name: NoName
                  object
                  {
                     sphere { < 0, 0, 0 >, 1 }

                     scale < 2, 2, 0.625 >
                     translate < 12, -2, -50.813 >
                  }
                  // Object type: Cylinder
                  // Name: NoName
                  object
                  {
                     cylinder { < 0, 0, 0 >, < 0, 1, 0 >, 1  }

                     scale < 2, 17.5, 2 >
                     rotate < 90, 0, 0 >
                     translate < 12, -2, -50.812 >
                  }
pigment {rgb 1}
               }
            }
         }
      }
   }
texture {CCRV_Tex6}
}

#declare CCRV_EngineBurn =
union {
  union {
    /*// Secondary CCRV_Engine Glow
    object {
      sphere {<0,0,0>, 0.65}
      texture {
        pigment {colour rgbt <1,1,1,1>}
      }
      halo {
        emitting
        spherical_mapping
        linear
        color_map {
                    [0 colour rgbt <1,1,0,1>]
                    [1 colour rgbt <1,1,0,.75>]
        }
        samples 10
      }
      hollow
      no_shadow
      scale <12,12,14>*2
      translate <0,0,12.5>
    }*/
    // Inner engine glow
    object {
      sphere {<0,0,0>, 1}
      texture {
        pigment {color rgbt <1,1,1,1>}
      }
      halo {
        emitting
        spherical_mapping
        linear
        color_map {
          [0 colour rgbt <1,1,0,1>]
          [.5 colour rgbt <2,2,1,0>]
          [1 colour rgbt <3,3,3,-1>]
        }
        samples 10
      }
 scale <8.75*1.25,8.75*1.25,7.5>
      hollow
      no_shadow
      translate <0,0,0>
    }
  }

scale 1
translate <0,0,44>
}

#declare CCRV =
union {
union {
object {CCRV_EngineBurn translate <0,10,0> translate <45,12,0>}
object {CCRV_EngineBurn translate <0,10,0> translate <-45,12,0>}
object {CCRV_EngineBurn translate <0,-10,0> translate <45,-12,0>}
object {CCRV_EngineBurn translate <0,-10,0> translate <-45,-12,0>}

object {CCRV_EngineBurn translate <0,10,0> translate <15,12,0>}
object {CCRV_EngineBurn translate <0,10,0> translate <-15,12,0>}
object {CCRV_EngineBurn translate <0,-10,0> translate <15,-12,0>}
object {CCRV_EngineBurn translate <0,-10,0> translate <-15,-12,0>}

object {CCRV_EngineBurn }
object {CCRV_EngineBurn translate <-30,0,0>}
object {CCRV_EngineBurn translate <30,0,0>}


//Outer Engines
object {CCRV_Engine1 translate <45,12,0>}
object {CCRV_Engine1 translate <45,12,0>scale <-1,1,1>}
object {CCRV_Engine1 translate <45,12,0>scale <1,-1,1>}
object {CCRV_Engine1 translate <45,12,0>scale <-1,-1,1>}
//Inner Engines
object {CCRV_Engine2 translate <15,12,0>}
object {CCRV_Engine2 translate <15,12,0>scale <-1,1,1>}
object {CCRV_Engine2 translate <15,12,0>scale <1,-1,1>}
object {CCRV_Engine2 translate <15,12,0>scale <-1,-1,1>}
// Center Row
object {CCRV_Engine3}
object {CCRV_Engine3 translate <30,0,0>scale <1,1,1>}
object {CCRV_Engine3 translate <30,0,0>scale <-1,1,1>}
      // Object type: Box
      // Name: NoName
      object
      {
         box { < 0, 0, 0 >, < 1, 1, 1 > }

         scale < 60, 36, 54 >
         translate < -30, -18, -55 >
texture {
pigment {
image_map{
gif "ccrvtex2.gif"
interpolate 2
}
}
finish {
ambient 0.1
diffuse 1
metallic
}
scale <60,178,1>
rotate <90,0,0>
translate <-30,0,-230>
}
texture {
pigment { bozo
color_map {
[0 color rgbt <.25,.25,.25,.5>]
[.5 color rgbt <.25,.25,.25,1>]
[1 color rgbt <.25,.25,.25,1>]
}
}
scale 5
}
}
scale <1,1,1>*.75
}
#include "CCRV1.inc"
object {
CCRV_MainBody
translate <0,0,10>
}
object {
CCRV_RadarDish
rotate <0,-45,0>
scale .85
translate <0,19.5,-59>
}
object {
CCRV_TurboLaser
rotate <0,0,0>
translate <0,18,-159>
}
object {
CCRV_TurboLaser
rotate <0,0,0>
scale <1,-1,-1>
translate <0,-18,-159>
}
translate <0,0,80>
scale .62
scale <1,1,1>
}
global_settings {
max_trace_level 100
}
